summaryrefslogtreecommitdiff
path: root/app-arch/wimlib
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /app-arch/wimlib
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'app-arch/wimlib')
-rw-r--r--app-arch/wimlib/Manifest1
-rw-r--r--app-arch/wimlib/metadata.xml12
-rw-r--r--app-arch/wimlib/wimlib-1.14.4-r1.ebuild52
3 files changed, 65 insertions, 0 deletions
diff --git a/app-arch/wimlib/Manifest b/app-arch/wimlib/Manifest
new file mode 100644
index 000000000000..27bd111626c6
--- /dev/null
+++ b/app-arch/wimlib/Manifest
@@ -0,0 +1 @@
+DIST wimlib-1.14.4.tar.gz 1045888 BLAKE2B fa3d8568e777783034d426ff97d542e9db9679486e282667b6f44137a00c658697c0cff2ff065b86e782e9720f36ed050f75bd60aea9ae0bedf71355997b6b27 SHA512 f3c25ee14fe849f452f004ce8137ef040410ea048555ae71180086f010858b6ed593c8881b805bac65f9ee878bf11661a7f17677c6c24e2c77149c35ee0cd853
diff --git a/app-arch/wimlib/metadata.xml b/app-arch/wimlib/metadata.xml
new file mode 100644
index 000000000000..dac1dba57186
--- /dev/null
+++ b/app-arch/wimlib/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <use>
+ <flag name="fuse">Use fuse libraries</flag>
+ <flag name="iso">Install <pkg>app-cdr/cdrtools</pkg> in order to prepare iso images</flag>
+ <flag name="ntfs">Use libntfs-3g library from <pkg>sys-fs/ntfs3g</pkg>
+ </flag>
+ <flag name="yasm">Use yasm assembler instead of nasm</flag>
+ </use>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/app-arch/wimlib/wimlib-1.14.4-r1.ebuild b/app-arch/wimlib/wimlib-1.14.4-r1.ebuild
new file mode 100644
index 000000000000..ec1a0b94dfb4
--- /dev/null
+++ b/app-arch/wimlib/wimlib-1.14.4-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools pax-utils
+
+DESCRIPTION="The open source Windows Imaging (WIM) library"
+HOMEPAGE="https://wimlib.net"
+SRC_URI="https://wimlib.net/downloads/${P}.tar.gz"
+
+LICENSE="|| ( GPL-3+ LGPL-3+ ) MIT"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="fuse iso ntfs test yasm"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ fuse? ( sys-fs/fuse:3= )
+ iso? (
+ app-arch/cabextract
+ app-cdr/cdrtools
+ )
+ ntfs? ( sys-fs/ntfs3g:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_with ntfs ntfs-3g)
+ $(use_with fuse)
+ $(use_enable test test-support)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ default
+ pax-mark m "${S}"/.libs/wimlib-imagex
+}
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -delete || die
+}